<?php
namespace App\HttpController\Base;
use EasySwoole\Http\AbstractInterface\Controller;

class Base extends Controller{
    protected function jsonSuccess($data, $statusCode = 200, $msg = '')
    {
        if (!$this->response()->isEndResponse()) {
            $this->response()->write(json_encode(['data' => $data, 'status' => $statusCode, 'code' => $statusCode, 'message' => $msg], JSON_UNESCAPED_UNICODE | JSON_UNESCAPED_SLASHES));
            $this->response()->withHeader('Content-type', 'application/json;charset=utf-8');
            $this->response()->withStatus($statusCode);
            return true;
        } else {
            return false;
        }
    }
    protected function getRequestData()
    {
        $data = $this->request()->getSwooleRequest()->rawContent();
        $data = json_decode($data, true);
        if ($data) return $data;
        return $this->request()->getParsedBody();
    }
    protected function jsonError($msg = '', $statusCode = 404)
    {
        $statusCode = intval($statusCode);
        if (!$this->response()->isEndResponse()) {
            $this->response()->write(json_encode(['status' => $statusCode, 'code' => $statusCode, 'message' => $msg], JSON_UNESCAPED_UNICODE | JSON_UNESCAPED_SLASHES));
            $this->response()->withHeader('Content-type', 'application/json;charset=utf-8');
            $this->response()->withStatus(200);
            return true;
        } else {
            return false;
        }
    }
}